﻿using System;

using Xamarin.Forms;
using Syncfusion.SfChart.XForms;
using System.Collections.ObjectModel;

namespace SimpleSample
{
	public class Line : ContentPage
	{
		public Line ()
		{
			SfChart chart;
			ObservableCollection<ChartDataPoint> Data 		= new ObservableCollection<ChartDataPoint>();
			StackLayout layout = new StackLayout(){Padding  = new Thickness(5,15,0,5)};

			Data.Add(new ChartDataPoint(new DateTime(2002,6,1,0,0,0), 23));
			Data.Add(new ChartDataPoint(new DateTime(2002,6,1,1,0,0), 20));
			Data.Add(new ChartDataPoint(new DateTime(2002,6,1,2,0,0), 35));
			Data.Add(new ChartDataPoint(new DateTime(2002,6,1,3,0,0), 32));
			Data.Add(new ChartDataPoint(new DateTime(2002,6,1,4,0,0), 45));
			Data.Add(new ChartDataPoint(new DateTime(2002,6,1,5,0,0), 10));
			Data.Add(new ChartDataPoint(new DateTime(2002,6,1,6,0,0), 20));
			Data.Add(new ChartDataPoint(new DateTime(2002,6,1,7,0,0), 35));
			Data.Add(new ChartDataPoint(new DateTime(2002,6,1,8,0,0), 32));
			Data.Add(new ChartDataPoint(new DateTime(2002,6,1,9,0,0), 25));
			Data.Add(new ChartDataPoint(new DateTime(2002,6,1,10,0,0),38));

			chart = new SfChart ();

			CategoryAxis dataxis = new CategoryAxis()
			{
				Interval = 1,
				LabelStyle = new ChartAxisLabelStyle(){LabelFormat = "HH"},
			};
			chart.PrimaryAxis = dataxis;

			NumericalAxis numaxis = new NumericalAxis ();
			chart.SecondaryAxis = numaxis;

			var line = new LineSeries { 
				ItemsSource = Data,
			};

			var scatter = new ScatterSeries { 
				Opacity  				 = 1,
				Color					 = Color.Blue,
				ScatterHeight			 = 10,
				ScatterWidth			 = 10,
				ItemsSource              = Data,
				EnableDataPointSelection = true,
				SelectedDataPointColor   = Color.Red,
				SelectedDataPointIndex	 = 3
			};

			chart.VerticalOptions = LayoutOptions.FillAndExpand; 

			chart.Series.Add(line);
			chart.Series.Add(scatter);
			layout.Children.Add(chart);
			Content = layout;

		}


	}   
}


